
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Implementação #2244

NA revise ASK letter

10/07/2016 11:08 AM - Oleksii Kurasov

Status: Closed Start date: 10/07/2016

Priority: Immediate Due date: 10/10/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

See Attachment for comments

History

#1 - 10/07/2016 11:13 AM - Oleksii Kurasov

- Due date set to 10/10/2016

#2 - 10/12/2016 07:19 AM - Oleksii Kurasov

- Status changed from New to Closed

Files

Acknowledgement letter_7-10-16.pdf 58.2 KB 10/07/2016 Oleksii Kurasov
